Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionFocusRect

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionFocusRect

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionFocusRect

extends QStyleOption

The `QStyleOptionFocusRect` class is used to describe the parameters for drawing a focus rectangle with `QStyle`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionFocusRect.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionFocusRect.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionFocusRect()` Constructs a `QStyleOptionFocusRect`, initializing the members variables to their default values.
`protected` | `QStyleOptionFocusRect(int version)`
`` | `QStyleOptionFocusRect(QStyleOptionFocusRect other)` Constructs a copy of the `other` style option.

Method Summary
`QColor` | `backgroundColor()` Returns the background color on which the focus rectangle is being drawn.
`static QStyleOptionFocusRect` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionFocusRect instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionFocusRect[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionFocusRect array.
`void` | `setBackgroundColor(QColor backgroundColor)` Sets the background color on which the focus rectangle is being drawn to `backgroundColor`.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionFocusRect

    public QStyleOptionFocusRect(QStyleOptionFocusRect other)

  Constructs a copy of the `other` style option.

### QStyleOptionFocusRect

    public QStyleOptionFocusRect()

  Constructs a `QStyleOptionFocusRect`, initializing the members variables to their default values.

### QStyleOptionFocusRect

    protected QStyleOptionFocusRect(int version)

Method Detail

### setBackgroundColor

    public final void setBackgroundColor(QColor backgroundColor)

  Sets the background color on which the focus rectangle is being drawn to `backgroundColor`.

  The default value is an invalid color with the RGB value (0, 0, 0). An invalid color is a color that is not properly set up for the underlying window system.

  See Also:
    `backgroundColor`

### backgroundColor

    public final QColor backgroundColor()

  Returns the background color on which the focus rectangle is being drawn.

  The default value is an invalid color with the RGB value (0, 0, 0). An invalid color is a color that is not properly set up for the underlying window system.

  See Also:
    `setBackgroundColor`

### fromNativePointer

    public static QStyleOptionFocusRect fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionFocusRect instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionFocusRect[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionFocusRect array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD